| FFmpegKit iOS / macOS / tvOS API 4.5

Class Methods
MediaInformationJsonParser Class Reference

`#import <MediaInformationJsonParser.h>`

## Class Methods
(MediaInformation *) | + from:
(MediaInformation *) | + from:with:

## Detailed Description

A parser that constructs MediaInformation from FFprobe's json output.

Definition at line 29 of file MediaInformationJsonParser.h.

## Method Documentation

## ◆ from:

+ (MediaInformation *) from: |  | (NSString*) | ffprobeJsonOutput |

Extracts `MediaInformation` from the given FFprobe json output.

Parameters

  ffprobeJsonOutput | FFprobe json output

Returns
  created MediaInformation instance of nil if a parsing error occurs

Definition at line 1 of file MediaInformationJsonParser.m.

## ◆ from:with:

+ (MediaInformation *) from: |  | (NSString*) | ffprobeJsonOutput
with: |  | (NSError*) | error

Extracts `MediaInformation` from the given FFprobe json output.

Parameters

  ffprobeJsonOutput | FFprobe json output
  error | error to save the parsing error if a parsing error occurs

Returns
  created MediaInformation instance

Definition at line 1 of file MediaInformationJsonParser.m.

The documentation for this class was generated from the following files:

- MediaInformationJsonParser.h
- MediaInformationJsonParser.m